/**
 * JASMINe
 * Copyright (C) 2011 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: RuleEngineStatus.java 7874 2011-03-28 09:50:05Z danesa $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.rules.common;

/**
 *
 * @author Julien Nicoulaud
 * @author Adriana Danes
 *
 */
public class RuleEngineStatus {

    // =========================================================================
    // Variables
    // =========================================================================

    /**
     * The unique name of the rule engine instance
     */
    public String ruleEngineName;

    /**
     * The status of the rule engine
     */
    public String engineStatus;

    public String deployedPackages;

    public int nbDeployedPackages;

    // =========================================================================
    // Constructors
    // =========================================================================

    /**
     * Builds a value object that describes the state of a rule engine instance
     */
    public RuleEngineStatus() {
    }

}
